Skip to main content
POST
/
v1
/
carousel
/
templates
/
preview-live
Generate a live preview from template config (without saving)
curl --request POST \
  --url https://api.yalg.ai/v1/carousel/templates/preview-live \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "Minimal red carousel",
  "config": {
    "primaryColor": "#e00036",
    "backgroundColor": "#ffffff",
    "slideCount": 6
  }
}
'
"<string>"

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Query Parameters

slideType
enum<string>

slideType parameter.

Available options:
intro,
content,
outro
Example:

"example"

Body

application/json
config
object

Unsaved template configuration to render as a preview

Response

Preview image returned as PNG

The response is of type file.